CREATE OR REPLACE VIEW V_PREGLEDI AS (
  SELECT P.ID_PREGLEDI, P.ID_LASTNIKA, P.ID_PLOVILA, P.NSTANJE, P.DATUM, P.CAS, P.KOMENTAR, P.KOMENTAR1, P.USER_KREIRANJA, P.LASTNIK_OBVESCEN, P.N_PRIVEZA, P.OBJEKT, P.ID_STORITVE, P.STATUS,
  PL.IME AS PLOVILA_IME, KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, NS.OPIS AS NSTANJE_OPIS, NS.INTERNI_OPIS AS NSTANJE_INTERNI_OPIS, NS.NSTANJE_TYPE AS NSTANJE_TYPE, NNP.NNLOCATION_ID
	FROM PREGLEDI P
  LEFT OUTER JOIN PLOVILA PL ON PL.ID = P.ID_PLOVILA
  LEFT OUTER JOIN KUPCI KU ON KU.ID = P.ID_LASTNIKA
  LEFT OUTER JOIN NSTANJE NS ON NS.NSTANJE = P.NSTANJE
  LEFT OUTER JOIN NNPRIVEZ NP ON NP.OBJEKT = P.OBJEKT AND NP.N_PRIVEZA = P.N_PRIVEZA
  LEFT OUTER JOIN NNPOMOL NNP ON NNP.SIFRA = NP.KATEGORIJA
);

CREATE OR REPLACE VIEW V_PREGLEDI_PRIVEZ AS (
  SELECT P.ID_PREGLEDI_PRIVEZ, P.ID_PRIVEZ, P.NSTANJE_PRIVEZ, P.DATUM, P.CAS, P.KOMENTAR, P.USER_KREIRANJA,
  NP.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA, NS.OPIS AS NSTANJE_PRIVEZ_OPIS, NS.INTERNI_OPIS AS NSTANJE_PRIVEZ_INTERNI_OPIS, NS.NSTANJE_TYPE AS NSTANJE_TYPE, NNP.NNLOCATION_ID
	FROM PREGLEDI_PRIVEZ P
  LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = P.ID_PRIVEZ
  LEFT OUTER JOIN NSTANJE_PRIVEZ NS ON NS.SIFRA = P.NSTANJE_PRIVEZ
  LEFT OUTER JOIN NNPOMOL NNP ON NNP.SIFRA = NP.KATEGORIJA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1250, SYSDATE, '5.5', 1170, 'Boat and berth checks')
;
