DROP VIEW V_CONTRACT_BERTH;

CREATE OR REPLACE VIEW V_CONTRACT_BERTH
AS (
SELECT CB.ID_CONTRACT_BERTH, M.ID_POGODBE, M.ID_PLOVILA, M.ID_LASTNIKA, M.DATUM_ZACETKA, M.PREDVIDENI_DATUM_KONCA, M.DATUM_KONCA, M.DATUM_PREKINITVE, M.BLOCK_OUT, M.STATUS, CB.ID_PRIVEZ,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, P.IME AS PLOVILA_IME,
(CASE WHEN M.BLOCK_OUT = 'Y' AND M.DATUM_ZACETKA IS NOT NULL AND M.DATUM_KONCA IS NOT NULL THEN M.DATUM_KONCA + 1 ELSE NULL END) AS BLOCK_OUT_FROM,
(CASE WHEN M.BLOCK_OUT = 'Y' AND M.DATUM_ZACETKA IS NOT NULL AND M.DATUM_KONCA IS NOT NULL THEN M.DATUM_KONCA + (M.DATUM_KONCA - M.DATUM_ZACETKA) + 1 ELSE NULL END) AS BLOCK_OUT_TO,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM M_POGODBE M
INNER JOIN CONTRACT_BERTH CB ON CB.ID_POGODBE = M.ID_POGODBE
LEFT OUTER JOIN KUPCI K ON K.ID = M.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA P ON P.ID = M.ID_PLOVILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1713, SYSDATE, '5.5', 1633, 'VContractBerth ID')
;