CREATE TABLE SMS_TEMPLATE (
	ID_SMS_TEMPLATE NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR),
	VALUE VARCHAR2(300 CHAR),
	RECEIVER VARCHAR2(100 CHAR),
	CONTENT VARCHAR2(500 CHAR),
    TYPE VARCHAR2(3 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT SMS_TEMPLATE_PK PRIMARY KEY (ID_SMS_TEMPLATE)
);

CREATE SEQUENCE SMS_TEMPLATE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE NNSMS_TEMPLATE_TYPE (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT SMS_TEMPLATE_TYPE_PK PRIMARY KEY (SIFRA)
);

CREATE OR REPLACE VIEW V_SMS_TEMPLATE AS
SELECT ST.ID_SMS_TEMPLATE, ST.NAME, ST.VALUE, ST.RECEIVER, ST.CONTENT, ST.TYPE, ST.DATE_CHANGED, ST.USER_CHANGED, ST.DATE_CREATED, ST.USER_CREATED, ST.ACT,
STT.OPIS AS TYPE_OPIS, STT.INTERNI_OPIS AS TYPE_INTERNI_OPIS
FROM SMS_TEMPLATE ST
LEFT OUTER JOIN NNSMS_TEMPLATE_TYPE STT ON ST.TYPE = STT.SIFRA;

INSERT INTO NNSMS_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('POA', 'Portal owner assistance', 'Portal owner assistance', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (730, SYSDATE, '5.5', 650, 'Sms template');