CREATE TABLE TIMER_DATA_QUERY (
	ID NUMBER NOT NULL,
	ID_TIMER_DATA NUMBER NOT NULL,
	ID_QUERY NUMBER NOT NULL,
	CONSTRAINT TDQ_TIMER_DATA_FK FOREIGN KEY (ID_TIMER_DATA) REFERENCES TIMER_DATA(ID_TIMER_DATA),
	CONSTRAINT TDQ_QUERY_FK FOREIGN KEY (ID_QUERY) REFERENCES QUERY(ID_QUERY),
	CONSTRAINT TIMER_DATA_QUERY_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE TIMER_DATA_QUERY_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_TIMER_DATA_QUERY AS (
	SELECT TDQ.ID, TDQ.ID_TIMER_DATA, TDQ.ID_QUERY, Q.NAME AS QUERY_NAME, Q.SQL AS QUERY_SQL
	FROM TIMER_DATA_QUERY TDQ
  LEFT OUTER JOIN TIMER_DATA TD ON TDQ.ID_TIMER_DATA = TD.ID_TIMER_DATA
  LEFT OUTER JOIN QUERY Q ON TDQ.ID_QUERY = Q.ID_QUERY
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (853, SYSDATE, '5.5', 773, 'Timer query');